SystemOrganization addCategory: #ConfigurationOfBitmapCharacterSet!

Object subclass: #ConfigurationOfBitmapCharacterSet
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfBitmapCharacterSet'!

!ConfigurationOfBitmapCharacterSet commentStamp: '<historical>' prior: 0!
(ConfigurationOfBitmapCharacterSet project version: #stable) load

(ConfigurationOfBitmapCharacterSet project version: #stable) load: #('Tests')!

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'private' stamp: 'StephaneDucasse 2/16/2013 20:12'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'catalog' stamp: 'StephaneDucasse 11/24/2013 16:24'!
catalogChangeLog
		
 ^ '
-25/11/2013 - Speed improvements from Monty.
[[[
(ConfigurationOfSoup project version: #''stable'') load
(ConfigurationOfSoup project version: ''1.1'') load
]]]

-1/2013 - Migrated from squeaksource.
[[[
(ConfigurationOfSoup project version: #''stable'') load
(ConfigurationOfSoup project version: ''1.0'') load
]]]


'
	
	! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'catalog' stamp: 'monty 4/5/2015 23:52'!
catalogDescription

^ 'BitmapCharacterSet is a set for characters that uses a bitmap for storing wide characters and an array of truth values for byte characters. Used by XMLParser.'! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'catalog' stamp: 'monty 4/5/2015 23:56'!
catalogKeyClassesAndExample

	^ 'It is composed of a single class BitmapCharacterSet.

Example:
[[[ 
			BitmapCharacterSet newFrom: Character separators.
			BitmapCharacterSet newFrom: Character allByteCharacters.
]]]'! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'catalog' stamp: 'monty 4/5/2015 23:59'!
catalogKeywords
	^ #(collection set character unicode)
	! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'catalog' stamp: 'monty 1/12/2016 07:16'!
catalogLicense
	^ 'The MIT License (MIT)

Copyright (c) 2016 PharoExtras Team.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.'! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'private' stamp: 'StephaneDucasse 2/16/2013 20:12'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
loadDefault
	"self loadDefault"

	^ self loadMostRecentCoreWithTests! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
loadMostRecentCoreWithTests
	^self project lastVersion load: #('Core' 'Tests')! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'accessing' stamp: 'StephaneDucasse 2/16/2013 20:12'!
project

	^self new project! !

!ConfigurationOfBitmapCharacterSet classSide methodsFor: 'unloading Metacello' stamp: 'StephaneDucasse 2/16/2013 20:12'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'baselines' stamp: 'StephaneDucasse 3/2/2013 19:50'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/BitmapCharacterSet/main'.	
		spec description: 'Imported from SqueakSource'.
		spec package: 'Collections-BitmapCharacterSet'.
		spec 
			package: 'Collections-Tests-BitmapCharacterSet' 
			with: [spec requires: 'Collections-BitmapCharacterSet'].
			
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('Collections-BitmapCharacterSet');
			group: 'Tests' with: #('Collections-Tests-BitmapCharacterSet'). ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'symbolic versions' stamp: 'StephanEggermont 12/10/2014 10:50'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0-baseline'
! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'accessing' stamp: 'StephaneDucasse 2/16/2013 20:12'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'symbolic versions' stamp: 'monty 4/28/2017 21:37'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.2.5'.
	! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'pad 9/16/2013 13:24'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'Latest versions from Squeaksource'.
		
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-JAA.5'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-JAA.5'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'StephaneDucasse 11/27/2013 20:57'!
version110: spec 
	<version: '1.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec description: 'Speed Improvement from Monty and adding tests'.
		
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-Anonymous.6'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 10/27/2014 05:25'!
version111: spec 
	<version: '1.1.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.7'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 10/29/2014 08:15'!
version112: spec 
	<version: '1.1.2' imports: #('1.0-baseline') >
	
	spec for: #common do: [ 
		spec blessing: #release.
		spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.8'.
		spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
		]
	

! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 12/10/2014 16:20'!
version113: spec 
        <version: '1.1.3' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.10'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-Anonymous.6'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 4/5/2015 23:58'!
version114: spec 
        <version: '1.1.4' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.11'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.7'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 4/19/2015 15:45'!
version115: spec 
        <version: '1.1.5' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.12'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.7'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 8/30/2015 08:22'!
version116: spec 
        <version: '1.1.6' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.13'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.8'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 3/10/2016 14:23'!
version117: spec 
        <version: '1.1.7' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.14'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.9'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 3/16/2016 02:00'!
version118: spec 
        <version: '1.1.8' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.15'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.10'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 3/17/2016 16:38'!
version119: spec 
        <version: '1.1.9' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.16'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.10'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 3/21/2016 15:53'!
version120: spec 
        <version: '1.2.0' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.17'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.10'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 3/23/2016 18:17'!
version121: spec 
        <version: '1.2.1' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.18'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.11'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 3/29/2016 06:46'!
version122: spec 
        <version: '1.2.2' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.19'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.11'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 10/24/2016 04:57'!
version123: spec 
        <version: '1.2.3' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.20'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.12'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 2/14/2017 01:15'!
version124: spec 
        <version: '1.2.4' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.22'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.13'
                ].! !

!ConfigurationOfBitmapCharacterSet methodsFor: 'versions' stamp: 'monty 4/28/2017 21:38'!
version125: spec 
        <version: '1.2.5' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-BitmapCharacterSet' with: 'Collections-BitmapCharacterSet-monty.23'.
			spec package: 'Collections-Tests-BitmapCharacterSet' with: 'Collections-Tests-BitmapCharacterSet-monty.13'
                ].! !
